import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { MsRunning } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-24 13:17
 */
interface MsRunningCU extends ConditionUtil<MsRunningCU> {
    ID: FieldUtil<MsRunningCU>;
    CREATE_TIME: FieldUtil<MsRunningCU>;
    UPDATE_TIME: FieldUtil<MsRunningCU>;
    STATE: FieldUtil<MsRunningCU>;
    PROJECT_ID: FieldUtil<MsRunningCU>;
    DEPLOY_ID: FieldUtil<MsRunningCU>;
    PID: FieldUtil<MsRunningCU>;
    PROJECT_VERSION: FieldUtil<MsRunningCU>;
    DEFAULT_VERSION: FieldUtil<MsRunningCU>;
    PORT: FieldUtil<MsRunningCU>;
    AUTH_TYPE: FieldUtil<MsRunningCU>;
    ENV: FieldUtil<MsRunningCU>;
    ENV_CODE: FieldUtil<MsRunningCU>;
    POD_ID: FieldUtil<MsRunningCU>;
    K8S_ID: FieldUtil<MsRunningCU>;
}
declare class MsRunningMU extends TableUtilImpl<MsRunningCU, MsRunning> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): MsRunningCU;
    static get ID(): FieldUtil<MsRunningCU>;
    static get CREATE_TIME(): FieldUtil<MsRunningCU>;
    static get UPDATE_TIME(): FieldUtil<MsRunningCU>;
    static get STATE(): FieldUtil<MsRunningCU>;
    static get PROJECT_ID(): FieldUtil<MsRunningCU>;
    static get DEPLOY_ID(): FieldUtil<MsRunningCU>;
    static get PID(): FieldUtil<MsRunningCU>;
    static get PROJECT_VERSION(): FieldUtil<MsRunningCU>;
    static get DEFAULT_VERSION(): FieldUtil<MsRunningCU>;
    static get PORT(): FieldUtil<MsRunningCU>;
    static get AUTH_TYPE(): FieldUtil<MsRunningCU>;
    static get ENV(): FieldUtil<MsRunningCU>;
    static get ENV_CODE(): FieldUtil<MsRunningCU>;
    static get POD_ID(): FieldUtil<MsRunningCU>;
    static get K8S_ID(): FieldUtil<MsRunningCU>;
    get ID(): FieldUtil<MsRunningCU>;
    get CREATE_TIME(): FieldUtil<MsRunningCU>;
    get UPDATE_TIME(): FieldUtil<MsRunningCU>;
    get STATE(): FieldUtil<MsRunningCU>;
    get PROJECT_ID(): FieldUtil<MsRunningCU>;
    get DEPLOY_ID(): FieldUtil<MsRunningCU>;
    get PID(): FieldUtil<MsRunningCU>;
    get PROJECT_VERSION(): FieldUtil<MsRunningCU>;
    get DEFAULT_VERSION(): FieldUtil<MsRunningCU>;
    get PORT(): FieldUtil<MsRunningCU>;
    get AUTH_TYPE(): FieldUtil<MsRunningCU>;
    get ENV(): FieldUtil<MsRunningCU>;
    get ENV_CODE(): FieldUtil<MsRunningCU>;
    get POD_ID(): FieldUtil<MsRunningCU>;
    get K8S_ID(): FieldUtil<MsRunningCU>;
}
export { MsRunningMU, MsRunningCU };
